#ifndef VIDICON_H
#define VIDICON_H
#include <memory>
#include <string>


namespace zsy
{
    class Vidicon
    {
    public:
        virtual ~Vidicon() = default;

        virtual std::shared_ptr<std::istream> photograph() = 0;
    };
}


#endif //VIDICON_H
